Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class XFNExtractorTest

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.html.XFNExtractorTest

    public class XFNExtractorTest

extends AbstractExtractorTestCase

Reference Test class for the `XFNExtractor` extractor.

Field Summary

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`XFNExtractorTest()`

Method Summary
`protected org.apache.any23.extractor.ExtractorFactory<?>` | `getExtractorFactory()`
`void` | `testDetectPresenceOfXFN()`
`void` | `testForSomeReasonICantBeMyOwnSweetheart()`
`void` | `testFriendAndSweetheart()`
`void` | `testIgnoreExtraSpacesInRel()`
`void` | `testLinkWithoutRel()`
`void` | `testMixedCaseATag()`
`void` | `testMultipleFriends()`
`void` | `testNoMicroformats()`
`void` | `testNoXFNRel()`
`void` | `testParseTagSoup()`
`void` | `testRelativeURIisResolvedAgainstBase()`
`void` | `testSimpleFriend()`
`void` | `testSimpleMeLink()`
`void` | `testSomeLinksWithoutRel()`
`void` | `testUpcaseHREF()`

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XFNExtractorTest

    public XFNExtractorTest()

Method Detail

### getExtractorFactory

    protected org.apache.any23.extractor.ExtractorFactory<?> getExtractorFactory()

  Specified by:
    `getExtractorFactory` in class `AbstractExtractorTestCase`
  Returns:
    the factory of the extractor to be tested.

### testNoMicroformats

    public void testNoMicroformats()
                            throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testLinkWithoutRel

    public void testLinkWithoutRel()
                            throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testNoXFNRel

    public void testNoXFNRel()
                      throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testDetectPresenceOfXFN

    public void testDetectPresenceOfXFN()
                                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testSimpleMeLink

    public void testSimpleMeLink()
                          throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRelativeURIisResolvedAgainstBase

    public void testRelativeURIisResolvedAgainstBase()
                                              throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testParseTagSoup

    public void testParseTagSoup()
                          throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testSimpleFriend

    public void testSimpleFriend()
                          throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testFriendAndSweetheart

    public void testFriendAndSweetheart()
                                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMultipleFriends

    public void testMultipleFriends()
                             throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testSomeLinksWithoutRel

    public void testSomeLinksWithoutRel()
                                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testForSomeReasonICantBeMyOwnSweetheart

    public void testForSomeReasonICantBeMyOwnSweetheart()
                                                 throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testIgnoreExtraSpacesInRel

    public void testIgnoreExtraSpacesInRel()
                                    throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMixedCaseATag

    public void testMixedCaseATag()
                           throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testUpcaseHREF

    public void testUpcaseHREF()
                        throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.